POST
/v1/auth/otp/signin/im

Authorization

Descope Project ID
AuthorizationBearer <token>

Project ID as bearer token.

In: header

Request Body

application/json

loginId?string
loginOptions?object
providerId?string
ssoAppId?string
useRecovery?boolean

Login a user based using an instant message (IM) to the given phone number

curl -X POST "https://api.descope.com/v1/auth/otp/signin/im" \  -H "Content-Type: application/json" \  -d '{}'
{  "maskedPhone": "string",  "verificationAttempts": 0}
export interface Response {maskedPhone?: stringverificationAttempts?: number}
Was this helpful?

Update Phone POST

### Update phone number of Existing User Update the phone number of an existing end user by sending an OTP code to the new phone number. After successfully verifying the code the new phone number will be used to deliver new OTP messages via Voice. The bearer token requires both the ProjectId and refresh JWT in the format `<Project ID>:<JWT>`, and can therefore only be run for end users who are currently signed-in. This endpoint will return an empty response object when it completes successfully. Descope allows you to associating multiple login IDs for a user during API update calls. For details on how this feature works, please review the details [here](/manage/users#associating-multiple-login-ids-for-a-user). ### Next Steps Verify the OTP code using the [Verify OTP Code](/api/otp/phone/verify-otp) endpoint to complete the update process. After successfully verifying the code the newphone number will replace the original phone number. ### See Also - See [The User Object](/api/overview#the-user-object) for further details on how to identify users and their contact information such as email address and phone number. - Successful execution will return an empty body - To try this endpoint - need to provide `Project ID:Refresh JWT` as bearer. You can acquire the Session JWT by signing in the user and collecting it from the response.

User Sign-In with Auto Sign-Up (IM) POST

Login a user based using an instant message to the given phone number. If the user does not exist, a new user will be created with the given phone number